<?php
/**
 * Bee Elegant Interior functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Bee Elegant Interior
 * @since Bee Elegant Interior 1.0
 */

if (!defined('BEE_ELEGANT_INTERIOR_VERSION')) {
    // Replace the version number of the theme on each release.
    define('BEE_ELEGANT_INTERIOR_VERSION', '1.0.1');
}

if ( ! function_exists( 'bee_elegant_interior_support' ) ) :
    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * @since 1.0.0
     *
     * @return void
     */

    function bee_elegant_interior_support() {
        add_editor_style( 'assets/css/editor.css' );
        load_theme_textdomain( 'bee-elegant-interior', get_template_directory() . '/languages' );
    }

endif;
add_action( 'after_setup_theme', 'bee_elegant_interior_support' );

function bee_elegant_interior_styles() {
	wp_enqueue_style(
		'bee-elegant-interior-style',
		get_stylesheet_uri(),
		[],
		wp_get_theme()->get( 'Version' )
	);

	wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'bee_elegant_interior_styles' );

function bee_elegant_interior_scripts() {
	wp_enqueue_script( 'bee-elegant-interior-scripts', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'),wp_get_theme()->get( 'Version' ) ,true );

	wp_style_add_data( 'bee-elegant-interior-style', 'rtl', 'replace' );

	wp_enqueue_script( 'jquery-wow', esc_url(get_template_directory_uri()) . '/assets/js/wow.js', array('jquery'),wp_get_theme()->get( 'Version' ) ,true );
	
	wp_enqueue_style( 'animate-css', esc_url(get_template_directory_uri()).'/assets/css/animate.css', array(),wp_get_theme()->get( 'Version' ) );
    
    wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/assets/css/owl.carousel.css', array(),wp_get_theme()->get( 'Version' ) );

	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri(). '/assets/js/owl.carousel.js', array('jquery'),wp_get_theme()->get( 'Version' ) ,true );
}
add_action( 'wp_enqueue_scripts', 'bee_elegant_interior_scripts' );

require_once get_template_directory() . '/tgm/tgm.php';